import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-fixed-detail',
  templateUrl: './fixed-detail.component.html',
  styleUrls: ['./fixed-detail.component.less'],
})
export class FixedDetailComponent implements OnInit {
  panels = [
    {
      id: 1,
      active: true,
      name: '基本情况',
      disabled: false,
      items: [
        {
          text: '资产编号',
          fieid: 'num',
        },
        {
          text: '资产名称',
          fieid: 'name',
        },
        {
          text: '规格型号',
          fieid: 'modelNum',
        },
        {
          text: '资产分类',
          fieid: 'assetClass',
        },
        {
          text: '资产来源',
          fieid: 'source',
        },
        {
          text: '资产状态',
          fieid: 'assetState',
        },
        {
          text: '验收单号',
          fieid: 'acceptNum',
        },
        {
          text: '领用单号',
          fieid: 'receiveNum',
        },
        {
          text: '购入日期',
          fieid: 'buyDate',
        },
        {
          text: '制造厂商',
          fieid: 'madeFirms',
        },
        {
          text: '出厂编码',
          fieid: 'factoryCode',
        },
        {
          text: '供应商',
          fieid: 'supplier',
        },
        {
          text: '工作场景',
          fieid: 'workPlace',
        },
        {
          text: '存放地',
          fieid: 'storage',
        },
        {
          text: '管理部门',
          fieid: 'company.name',
        },
        {
          text: '产权单位',
          fieid: 'belongUnit.name',
        },
        {
          text: '使用单位',
          fieid: 'useUnit.name',
        },
        {
          text: '所在项目部',
          fieid: 'belongProject',
        },
      ],
    },
    {
      id: 2,
      active: false,
      disabled: false,
      name: '财务信息',
    },
    {
      id: 3,
      active: false,
      disabled: false,
      name: '资产折旧',
    },
    {
      id: 4,
      active: false,
      disabled: false,
      name: '车辆信息',
    },
    {
      id: 5,
      active: false,
      disabled: false,
      name: '技术参数',
    },
    {
      id: 6,
      active: false,
      disabled: false,
      name: '合格证',
    },
    {
      id: 7,
      active: false,
      disabled: false,
      name: '资产照片',
    },
    {
      id: 8,
      active: false,
      disabled: false,
      name: '附件及资料',
    },
    {
      id: 9,
      active: false,
      disabled: false,
      name: '附属设备及配件',
    },
    {
      id: 10,
      active: false,
      disabled: false,
      name: '折旧记录',
    },
    {
      id: 11,
      active: false,
      disabled: false,
      name: '资产维修保养记录',
    },
    {
      id: 12,
      active: false,
      disabled: false,
      name: '资产盘点记录',
    },
    {
      id: 13,
      active: false,
      disabled: false,
      name: '资产使用记录',
    },
  ];
  constructor() {}

  ngOnInit() {}
}
